package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 库位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class HouseLocationRespVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31832")
    @ExcelProperty("主键ID")
    private Long id;

    @Schema(description = "巷道/线库id", example = "12101")
    @ExcelProperty("巷道/线库id")
    private Long laneId;

    @Schema(description = "巷道/线库名称", example = "张三")
    @ExcelProperty("巷道/线库名称")
    private String laneName;

    @Schema(description = "库区id(自定义)", example = "10751")
    @ExcelProperty("库区id(自定义)")
    private Long areaId;

    @Schema(description = "库区名称", example = "芋艿")
    @ExcelProperty("库区名称")
    private String areaName;

    @Schema(description = "库位编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("库位编号")
    private String locationNo;

    @Schema(description = "弧度")
    private String locationYaw;

    @Schema(description = "分组名称", example = "李四")
    @ExcelProperty("分组名称")
    private String groupName;

    @Schema(description = "物料消息")
    @ExcelProperty("物料消息")
    private String skuInfo;

    @Schema(description = "物料批次")
    @ExcelProperty("物料批次")
    private String skuBatch;

    @Schema(description = "物料数量")
    @ExcelProperty("物料数量")
    private Integer skuNumber;

    @Schema(description = "启用/禁用（0：禁用、1：启用）")
    @ExcelProperty("启用/禁用（0：禁用、1：启用）")
    private Integer locationEnable;

    @Schema(description = "锁定/正常（0：锁定、1：正常）")
    @ExcelProperty("锁定/正常（0：锁定、1：正常）")
    private Integer locationLock;

    @Schema(description = "状态（0：空闲、1：占用）", example = "2")
    @ExcelProperty("状态（0：空闲、1：占用）")
    private Integer locationUseStatus;

    @Schema(description = "库位坐标x轴")
    @ExcelProperty("库位坐标x轴")
    private String locationX;

    @Schema(description = "库位坐标y轴")
    @ExcelProperty("库位坐标y轴")
    private String locationY;

    @Schema(description = "宽(库位上目前所放物品的宽)")
    @ExcelProperty("宽(库位上目前所放物品的宽)")
    private BigDecimal locationWide;

    @Schema(description = "深(库位上目前所放物品的深)")
    @ExcelProperty("深(库位上目前所放物品的深)")
    private BigDecimal locationDeep;

    @Schema(description = "高(库位上目前所放物品的高)")
    @ExcelProperty("高(库位上目前所放物品的高)")
    private BigDecimal locationHeight;

    @Schema(description = "库位默认高度(现场有水泥高出地面的高度)")
    @ExcelProperty("库位默认高度(现场有水泥高出地面的高度)")
    private BigDecimal locationDefaultHeight;

    @Schema(description = "机车上报的高度/总高(如果两个箱子叠加，就是叠加后的总高度)")
    @ExcelProperty("机车上报的高度/总高(如果两个箱子叠加，就是叠加后的总高度)")
    private BigDecimal locationTotalHeight;

    @Schema(description = "机车上报的托盘高度")
    @ExcelProperty("机车上报的托盘高度")
    private BigDecimal locationTrayHeight;

    @Schema(description = "层数")
    @ExcelProperty("层数")
    private Integer locationStorey;

    @Schema(description = "点位类型（0：库位、1：等待点、2：输送线取托盘点、3：出库放托盘点）", example = "2")
    @ExcelProperty("点位类型（0：库位、1：等待点、2：输送线取托盘点、3：出库放托盘点）")
    private Integer locationType;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}