package cn.iocoder.yudao.module.system.controller.admin.houselocation.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 库位新增/修改 Request VO")
@Data
public class HouseLocationSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31832")
    private Long id;

    @Schema(description = "巷道/线库id", example = "12101")
    private Long laneId;

    @Schema(description = "巷道/线库名称", example = "张三")
    private String laneName;

    @Schema(description = "库区id(自定义)", example = "10751")
    private Long areaId;

    @Schema(description = "库区名称", example = "芋艿")
    private String areaName;

    @Schema(description = "库位编号", example = "A-10")
    private String locationNo;

    @Schema(description = "弧度")
    private String locationYaw;

    @Schema(description = "分组名称", example = "李四")
    private String groupName;

    @Schema(description = "物料消息")
    private String skuInfo;

    @Schema(description = "物料批次")
    private String skuBatch;

    @Schema(description = "物料数量")
    private Integer skuNumber;

    @Schema(description = "启用/禁用（0：禁用、1：启用）")
    private Integer locationEnable;

    @Schema(description = "锁定/正常（0：锁定、1：正常）")
    private Integer locationLock;

    @Schema(description = "状态（0：空闲、1：占用）", example = "2")
    private Integer locationUseStatus;

    @Schema(description = "库位坐标x轴")
    private String locationX;

    @Schema(description = "库位坐标y轴")
    private String locationY;

    @Schema(description = "宽(库位上目前所放物品的宽)")
    private BigDecimal locationWide;

    @Schema(description = "深(库位上目前所放物品的深)")
    private BigDecimal locationDeep;

    @Schema(description = "高(库位上目前所放物品的高)")
    private BigDecimal locationHeight;

    @Schema(description = "库位默认高度(现场有水泥高出地面的高度)")
    private BigDecimal locationDefaultHeight;

    @Schema(description = "机车上报的高度/总高(如果两个箱子叠加，就是叠加后的总高度)")
    private BigDecimal locationTotalHeight;

    @Schema(description = "机车上报的托盘高度")
    private BigDecimal locationTrayHeight;

    @Schema(description = "层数")
    private Integer locationStorey;

    @Schema(description = "点位类型（0：库位、1：等待点、2：输送线取托盘点、3：出库放托盘点）", example = "2")
    private Integer locationType;

}