package cn.iocoder.yudao.module.system.controller.admin.robot.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import javax.validation.constraints.*;

@Schema(description = "管理后台 - 车辆信息新增/修改 Request VO")
@Data
public class RobotInformationSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "24068")
    private Long id;

    @Schema(description = "车辆类型表id", example = "26319")
    private Long robotModelId;

    @Schema(description = "车辆类型")
    private String robotModelNumber;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "任务模式（0：拒收任务、1：正常）", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer robotTaskModel;

    @Schema(description = "mac地址")
    private String macAddress;

    @Schema(description = "上传图片附件", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "AGV状态（0：暂停且无任务、1：暂停(有处理中的任务)、2：任务中、3：待命）", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer robotStatus;

}