package cn.iocoder.yudao.module.system.dal.mysql.houselocation;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.houselocation.vo.HouseLocationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.houselocation.HouseLocationDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 库位 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface HouseLocationMapper extends BaseMapperX<HouseLocationDO> {

    default PageResult<HouseLocationDO> selectPage(HouseLocationPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<HouseLocationDO>()
                .eqIfPresent(HouseLocationDO::getLaneId, reqVO.getLaneId())
                .likeIfPresent(HouseLocationDO::getLaneName, reqVO.getLaneName())
                .eqIfPresent(HouseLocationDO::getAreaId, reqVO.getAreaId())
                .likeIfPresent(HouseLocationDO::getAreaName, reqVO.getAreaName())
                .eqIfPresent(HouseLocationDO::getLocationNo, reqVO.getLocationNo())
                .eqIfPresent(HouseLocationDO::getLocationYaw, reqVO.getLocationYaw())
                .likeIfPresent(HouseLocationDO::getGroupName, reqVO.getGroupName())
                .likeIfPresent(HouseLocationDO::getSkuInfo, reqVO.getSkuInfo())
                .likeIfPresent(HouseLocationDO::getSkuBatch, reqVO.getSkuBatch())
                .eqIfPresent(HouseLocationDO::getSkuNumber, reqVO.getSkuNumber())
                .eqIfPresent(HouseLocationDO::getLocationEnable, reqVO.getLocationEnable())
                .eqIfPresent(HouseLocationDO::getLocationLock, reqVO.getLocationLock())
                .eqIfPresent(HouseLocationDO::getLocationUseStatus, reqVO.getLocationUseStatus())
                .eqIfPresent(HouseLocationDO::getLocationX, reqVO.getLocationX())
                .eqIfPresent(HouseLocationDO::getLocationY, reqVO.getLocationY())
                .eqIfPresent(HouseLocationDO::getLocationWide, reqVO.getLocationWide())
                .eqIfPresent(HouseLocationDO::getLocationDeep, reqVO.getLocationDeep())
                .eqIfPresent(HouseLocationDO::getLocationHeight, reqVO.getLocationHeight())
                .eqIfPresent(HouseLocationDO::getLocationDefaultHeight, reqVO.getLocationDefaultHeight())
                .eqIfPresent(HouseLocationDO::getLocationTotalHeight, reqVO.getLocationTotalHeight())
                .eqIfPresent(HouseLocationDO::getLocationTrayHeight, reqVO.getLocationTrayHeight())
                .eqIfPresent(HouseLocationDO::getLocationStorey, reqVO.getLocationStorey())
                .eqIfPresent(HouseLocationDO::getLocationType, reqVO.getLocationType())
                .betweenIfPresent(HouseLocationDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(HouseLocationDO::getId));
    }

}