package cn.iocoder.yudao.module.system.dal.mysql.robot;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskDetailPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotTaskDetailDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 机器人任务明细 Mapper
 *
 * @author 陈宾顺
 */
@Mapper
public interface RobotTaskDetailMapper extends BaseMapperX<RobotTaskDetailDO> {

    default PageResult<RobotTaskDetailDO> selectPage(RobotTaskDetailPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RobotTaskDetailDO>()
                .eqIfPresent(RobotTaskDetailDO::getRobotTaskId, reqVO.getRobotTaskId())
                .eqIfPresent(RobotTaskDetailDO::getTaskType, reqVO.getTaskType())
                .eqIfPresent(RobotTaskDetailDO::getReleaseType, reqVO.getReleaseType())
                .eqIfPresent(RobotTaskDetailDO::getTakeType, reqVO.getTakeType())
                .eqIfPresent(RobotTaskDetailDO::getReleaseId, reqVO.getReleaseId())
                .eqIfPresent(RobotTaskDetailDO::getTakeId, reqVO.getTakeId())
                .eqIfPresent(RobotTaskDetailDO::getRobotNo, reqVO.getRobotNo())
                .eqIfPresent(RobotTaskDetailDO::getTaskStatus, reqVO.getTaskStatus())
                .eqIfPresent(RobotTaskDetailDO::getTaskStage, reqVO.getTaskStage())
                .betweenIfPresent(RobotTaskDetailDO::getStartTime, reqVO.getStartTime())
                .betweenIfPresent(RobotTaskDetailDO::getEndTime, reqVO.getEndTime())
                .betweenIfPresent(RobotTaskDetailDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(RobotTaskDetailDO::getId));
    }

}