package cn.iocoder.yudao.module.system.service.houselocation;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.houselocation.vo.HouseLocationPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.houselocation.vo.HouseLocationSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.houselocation.HouseLocationDO;

/**
 * 库位 Service 接口
 *
 * @author 陈宾顺
 */
public interface HouseLocationService {

    /**
     * 创建库位
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createHouseLocation(@Valid HouseLocationSaveReqVO createReqVO);

    /**
     * 更新库位
     *
     * @param updateReqVO 更新信息
     */
    void updateHouseLocation(@Valid HouseLocationSaveReqVO updateReqVO);

    /**
     * 删除库位
     *
     * @param id 编号
     */
    void deleteHouseLocation(Long id);

    /**
     * 获得库位
     *
     * @param id 编号
     * @return 库位
     */
    HouseLocationDO getHouseLocation(Long id);

    /**
     * 获得库位分页
     *
     * @param pageReqVO 分页查询
     * @return 库位分页
     */
    PageResult<HouseLocationDO> getHouseLocationPage(HouseLocationPageReqVO pageReqVO);

}